clc
Wspan = [0 80]; % Range for the Weight of the Catalyst. 
y0 = [15 15 0 1]; % Initial values for the dependent variables Fa, Fb, Fc and p
[w,y]=ode45(@ODEfun,Wspan,y0);
z=size(y);
Fao=15;
for i=1:z(1,1)
X(i)=1-y(i,1)/Fao;
end
plot(w,X,w,y(:,4))
xlabel('Catalyst Weight')
ylabel('X,p')
legend('X','p')
title('Conversion and pressure drop profile')
