function dYfuncvecdW = ODEfun(V,Yfuncvec); 
Fa = Yfuncvec(1); 
Fb= Yfuncvec(2); 
Fc= Yfuncvec(3);
p= Yfuncvec(4);
% Explicit equations
alpha = 0.009; 
k = 5000; 
Cb0 = 0.01; 
Ca0 = 0.01; 
Ct0 = 0.02; 
Ft0 = 30;
Fao=15;
X=1-Fa/Fao;
Ft=Fa+Fb+Fc;
Ca = Ct0*(Fa/Ft)*p;
Cb = Ct0*(Fb/Ft)*p; 
Cc = Ct0*(Fc/Ft)*p; 
ra = -k*Ca*Cb; 
rb = ra; 
rc = 3*(-ra); 
% Differential equations
dFadW = ra; 
dFbdW = rb; 
dFcdW = rc; 
dpdW = -(alpha/(2*p))*(Ft/Ft0); 
dYfuncvecdW =[dFadW; dFbdW;dFcdW;dpdW]; 



 

 





 


